Bug 1253355 (CVE-2015-6244) - CVE-2015-6244 wireshark: ZigBee dissector crash (wnpa-sec-2015-24)
Summary: CVE-2015-6244 wireshark: ZigBee dissector crash (wnpa-sec-2015-24)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-6244
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150811,repor...
Depends On: 1245763 1253364
Blocks: 1210268 1253363
TreeView+ depends on / blocked
 
Reported: 2015-08-13 14:28 UTC by Martin Prpič
Modified: 2019-06-08 20:42 UTC (History)
7 users (show)

Fixed In Version: wireshark 1.12.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-20 04:55:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2393 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-11-19 11:03:11 UTC

Description Martin Prpič 2015-08-13 14:28:47 UTC
It was reported that Wireshark's ZigBee dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This flaw is fixed in the following Wireshark versions: 1.12.7.

Upstream bug(s):

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=11389

External References:

https://www.wireshark.org/security/wnpa-sec-2015-24

Comment 1 Martin Prpič 2015-08-13 14:35:10 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1253364]

Comment 2 Fedora Update System 2015-08-22 02:50:54 UTC
wireshark-1.12.7-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wireshark'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13945

Comment 3 Fedora Update System 2015-08-22 16:24:09 UTC
wireshark-1.12.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wireshark'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13946

Comment 4 Adam Mariš 2015-08-26 16:14:42 UTC
CVE was assigned:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-6244

Comment 5 Fedora Update System 2015-09-04 03:24:27 UTC
wireshark-1.12.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Peter Hatina 2015-10-06 20:01:10 UTC
Several functions needed to be backported in tvbuff.{h,c} to correctly compute captured remaining length in zigbee dissector.

tvb_captured_length_remaining() now returns 0 instead of -1, if an exception occurs. This makes g_malloc() not to allocate (guint)(-1) and continue.

Fixed in wireshark-1.10.14-7.el7.

Comment 10 Fedora Update System 2015-10-07 06:21:34 UTC
wireshark-1.12.7-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2015-11-19 12:37:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html

Comment 12 Huzaifa S. Sidhpurwala 2015-11-20 04:55:05 UTC
Statement:

This issue did not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5. This issue affects the verison of wireshark as shipped with Red Hat Enterprise Linux 6. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates of Red Hat Enterprise Linux 6.

Comment 13 Huzaifa S. Sidhpurwala 2015-11-20 06:48:30 UTC
Mitigation:

This flaw can be mitigated in wireshark by disabling the ZigBee protocol dissector. In wireshark GUI application click on Analyze->Enabled Protocols and search for "ZigBee" and disable in. When using "tshark", the text interface, create a file called "disabled_protos" in the preferences folder (normally .wireshark folder in the home directory of the user running wireshark) and add "ZigBee" to it. This should disable the ZigBee protocol.


Note You need to log in before you can comment on or make changes to this bug.